<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <title>登入功能(資料庫)</title>
    <link rel="stylesheet" href="{{ url_for('static' , filename = 'css/style.css') }}">
    <script src="{{ url_for('static' , filename = '/js/jquery-3.6.0.min.js')}}"></script>
    <script src="{{ url_for('static' , filename = '/js/jquery.cookie.js')}}"></script>
</head>
<body>
    <h1>登入功能(資料庫)</h1>
    <hr>
    <h2>狀態</h2>
    {% if login_status != undefined %}
      {% if login_status %}
        <span class="login">已登入</span>
      {% else %}
        <span class="logout">未登入</span>
        {% if login_msg != undefined and login_msg != '' %}
          <span class='wrong'> ({{ login_msg }}) </span>
        {% endif %}
      {% endif %}
    {% endif %}
    <hr>

    {% if login_status != undefined %}
      {% if login_status %}
        <h2>會員資料</h2>
        <div class="member">
            <img src="{{ url_for('static', filename='img/' + user_info.photo)}}" alt="" width="150">
            <p>名稱 : {{ user_info.name }}</p>
            <p>帳號 : {{ user_info.account}}</p>
        </div>
      {% else %}
        <h2>註冊帳號</h2>
        <form action="/register" method="POST" enctype = "multipart/form-data">
            名稱 : <input type="text" name="name" /><br>
            帳號 : <input type="text" name="account" />
            <input type = "file" name = "photo" /><br>
            密碼 : <input type="password" name="password"/>
            <button type="submit">註冊</button>
        </form>
      {% endif %}
    {% endif %}

    
    <hr>
    {% if login_status != undefined %}
      {% if login_status %}
        <h2>登出系統</h2>
        <a href="/logout">登出</a>
        <hr>
      {% else %}
      <h2>登入帳號</h2>
      <form action="/login" method="POST">
        帳號 : <input id="edtAccount" type="text" name="account" />
        <input id="chkRememberMe" type="checkbox" name="isRememberMe" value="true"/>記住我<br />
        密碼 : <input id="edtPassword" type="password" name="password"/>
        <button id="btnLogin" type="submit">登入</button>
      </form>
      <hr>
      {% endif %}
    {% endif %}
    

    {% if login_status != undefined %}
      {% if login_status %}
        <h2>修改密碼</h2>
        <form action="/change" method="POST">
          原密碼 : <input type="password" name="oldPassword"/><br>
          新密碼 : <input type="password" name="newPassword"/><br>
          重新輸入 : <input type="password" name="chkPassword"/>
          <button type="submit">確認</button>
        </form>
      {% endif %}
    {% endif %}

    <script>
      $('#btnLogin').off('click').on('click',function(){
          var account = $('#edtAccount').val();
          var isRememberMe = $('#chkRememberMe').prop("checked");
          if(isRememberMe){
            $.cookie("account", account, { expires: 1, path: "/" });
            $.cookie("isRememberMe", isRememberMe, { expires: 1, path: "/" });
          }
      })

      function showLoginInfo() {
          let account = $.cookie("account");
          let isRememberMe = $.cookie("isRememberMe") == "true";
          console.log(isRememberMe)
          console.log(account)
          if (isRememberMe) {
            $('#edtAccount').val(account);
          } else {
            $('#edtAccount').val("");
          }
          $('#chkRememberMe').prop("checked", isRememberMe);
          $('#edtPassword').val("");
      }
      showLoginInfo();
    </script>
</body>
</html>